org.apache.http.nio.entity

## Interface ContentListener

- All Known Implementing Classes:
    SkipContentListener

  Deprecated.
  (4.2)

      @Deprecated
      public interface ContentListener

  A listener for available data on a non-blocking `ConsumingNHttpEntity`.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contentAvailable(ContentDecoder decoder, IOControl ioctrl)` Deprecated. Notification that content is available to be read from the decoder.
    `void` | `finished()` Deprecated. Notification that any resources allocated for reading can be released.

- - ### Method Detail

    - #### contentAvailable

          void contentAvailable(ContentDecoder decoder,
                              IOControl ioctrl)
                                throws IOException

      Deprecated.
      Notification that content is available to be read from the decoder.
      Parameters:
        `decoder` - content decoder.
        `ioctrl` - I/O control of the underlying connection.
      Throws:
        `IOException`

    - #### finished

          void finished()

      Deprecated.
      Notification that any resources allocated for reading can be released.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.